%global gem_name ncursesw

Name:           rubygem-%{gem_name}
Version:        1.4.9
Release:        1%{?dist}
Summary:        Ruby wrapper for the ncurses library, with wide character support
License:        LGPLv2+
URL:            http://github.com/sup-heliotrope/ncursesw-ruby
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# This is a C extension linked against MRI, it's not compatible with other 
# interpreters. So we require MRI specifically instead of ruby(release).
Requires:       ruby
BuildRequires:  ruby
BuildRequires:  rubygems-devel
BuildRequires:  ruby-devel
BuildRequires:  ncurses-devel
# rubygem Requires/Provides are automatically generated in F21+
%if ! (0%{?fedora} >= 21 || 0%{?rhel} >= 8)
Requires:       ruby(rubygems)
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
This wrapper provides access to the functions, macros, global variables and 
constants of the ncurses library. These are mapped to a Ruby module named 
"Ncurses". Functions and external variables are implemented as singleton 
functions of the module Ncurses.

The ncursesw gem is a fork with improved wide character support.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch
# examples are under a wide variety of licenses
License:        LGPLv2+ and MIT and MIT with advertising and LDPL

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby >%{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/specifications/ .%{gem_dir}/doc/ %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{gem_instdir}
cp -pa .%{gem_instdir}/lib %{buildroot}%{gem_instdir}/
%if 0%{?fedora} >= 21 || 0%{?rhel} >= 8
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -pa .%{gem_extdir_mri}/ncursesw_bin.so .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
%else
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
mv %{buildroot}%{gem_instdir}/lib/ncursesw_bin.so %{buildroot}%{gem_extdir_mri}/lib/
%endif

%files
%doc COPYING README.md Changes
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files doc
%doc COPYING
%doc examples
%doc %{gem_docdir}

%changelog
* Mon Apr 13 2015 Dan Callaghan <dcallagh@redhat.com> - 1.4.9-1
- upstream release 1.4.9

* Mon Jan 27 2014 Dan Callaghan <dcallagh@redhat.com> - 1.4.3-1
- Initial package
